#include <iostream>

using namespace std;

int main()
{
    cout << "Kerem az elso pont koordinatait" << endl;
    int x1,x2,y1,y2;
    cin>>x1>>y1;
    cout<<"Kerem a masodik pont koordinatait"<<endl;
    cin>>x2>>y2;

    int ossz1,ossz2,kul1,kul2;
    ossz1=x1+y1;
    ossz2=x2+y2;
    kul1=x1-y2;
    kul2=x2-y2;

    if (x1==x2)
        cout<<2<<" megfelelo negyzet letezik"<<endl;

    else if (y1==y2)
        cout<<2<<" megfelelo negyzet letezik"<<endl;

    else if(ossz1>ossz2)
        cout<<1<<" megfelelo negyzet letezik"<<endl;

    else if (kul1-kul2!=0)
        cout<<"Nem letezik megfelelo negyzet"<<endl;

    return 0;
}